package org.expeditee.gio.gesture.data;

public class CreateItemGestureData extends ItemSpecificGestureData {

	public enum ItemType {
		LINE,
		BOX
	}
	
	private ItemType _itemType;
	
	public CreateItemGestureData(ItemType itemType)
	{
		super(false);
		_itemType = itemType;
	}
	
	public CreateItemGestureData(CreateItemGestureData other)
	{
		super(other);
		if (other != null) _itemType = other._itemType;
	}
	
	public ItemType getItemType()
	{
		return _itemType;
	}
	
	public CreateItemGestureData clone()
	{
		return new CreateItemGestureData(this);
	}
}
