package org.expeditee.gio.gesture.data;

import org.expeditee.gui.DisplayController;
import org.expeditee.gui.Frame;

public class JustifyGestureData extends ItemSpecificGestureData {

	private Frame _frame;
	private boolean _resetWidth;
	
	public JustifyGestureData(boolean resetWidth)
	{
		super(false);
		_frame = DisplayController.getCurrentFrame();
		_resetWidth = resetWidth;
	}
	
	public JustifyGestureData(Frame frame, boolean resetWidth)
	{
		super(false);
		_frame = frame;
		_resetWidth = resetWidth;
	}
	
	public JustifyGestureData(JustifyGestureData other)
	{
		super(other);
		_frame = other._frame;
		_resetWidth = other._resetWidth;
	}
	
	public Frame getFrame()
	{
		return _frame;
	}
	
	public boolean getResetWidth()
	{
		return _resetWidth;
	}
	
	public JustifyGestureData clone()
	{
		return new JustifyGestureData(this);
	}
}
